com.fasterxml.jackson.dataformat.protobuf.schemagen

## Class ProtoBufSchemaVisitor

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base
  - - com.fasterxml.jackson.dataformat.protobuf.schemagen.ProtoBufSchemaVisitor

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper, TypeElementBuilder
  Direct Known Subclasses:
    ProtobufSchemaGenerator

      public class ProtoBufSchemaVisitor
      extends com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base
      implements TypeElementBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper

      `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TypeElementBuilder` | `_builder` When visiting Object (Record) types, Enums, Arrays, we get this type builder.
    `protected DefinedTypeElementBuilders` | `_definedTypeElementBuilders`
    `protected boolean` | `_isNested`
    `protected com.squareup.protoparser.DataType` | `_simpleType` When visiting simple scalar types, we'll get this assigned

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base

      `_provider`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProtoBufSchemaVisitor()`
    `` | `ProtoBufSchemaVisitor(com.fasterxml.jackson.databind.SerializerProvider provider, DefinedTypeElementBuilders defBuilders, boolean isNested)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <T> T` | `_throwUnsupported()`
    `protected <T> T` | `_throwUnsupported(String msg)`
    `com.squareup.protoparser.TypeElement` | `build()`
    `Set<com.squareup.protoparser.TypeElement>` | `buildWithDependencies()`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonAnyFormatVisitor` | `expectAnyFormat(com.fasterxml.jackson.databind.JavaType convertedType)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor` | `expectArrayFormat(com.fasterxml.jackson.databind.JavaType type)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonBooleanFormatVisitor` | `expectBooleanFormat(com.fasterxml.jackson.databind.JavaType convertedType)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonIntegerFormatVisitor` | `expectIntegerFormat(com.fasterxml.jackson.databind.JavaType type)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor` | `expectMapFormat(com.fasterxml.jackson.databind.JavaType mapType)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNullFormatVisitor` | `expectNullFormat(com.fasterxml.jackson.databind.JavaType convertedType)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor` | `expectNumberFormat(com.fasterxml.jackson.databind.JavaType type)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor` | `expectObjectFormat(com.fasterxml.jackson.databind.JavaType type)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor` | `expectStringFormat(com.fasterxml.jackson.databind.JavaType type)`
    `com.squareup.protoparser.DataType` | `getSimpleType()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base

      `getProvider, setProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _definedTypeElementBuilders

          protected final DefinedTypeElementBuilders _definedTypeElementBuilders

    - #### _builder

          protected TypeElementBuilder _builder

      When visiting Object (Record) types, Enums, Arrays, we get this type builder.

    - #### _simpleType

          protected com.squareup.protoparser.DataType _simpleType

      When visiting simple scalar types, we'll get this assigned

    - #### _isNested

          protected boolean _isNested

  - ### Constructor Detail

    - #### ProtoBufSchemaVisitor

          protected ProtoBufSchemaVisitor()

    - #### ProtoBufSchemaVisitor

          public ProtoBufSchemaVisitor(com.fasterxml.jackson.databind.SerializerProvider provider,
                                       DefinedTypeElementBuilders defBuilders,
                                       boolean isNested)

  - ### Method Detail

    - #### build

          public com.squareup.protoparser.TypeElement build()

      Specified by:
        `build` in interface `TypeElementBuilder`

    - #### getSimpleType

          public com.squareup.protoparser.DataType getSimpleType()

    - #### buildWithDependencies

          public Set<com.squareup.protoparser.TypeElement> buildWithDependencies()

    - #### expectObjectFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor expectObjectFormat(com.fasterxml.jackson.databind.JavaType type)

      Specified by:
        `expectObjectFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`
      Overrides:
        `expectObjectFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

    - #### expectMapFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor expectMapFormat(com.fasterxml.jackson.databind.JavaType mapType)

      Specified by:
        `expectMapFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`
      Overrides:
        `expectMapFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

    - #### expectArrayFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor expectArrayFormat(com.fasterxml.jackson.databind.JavaType type)

      Specified by:
        `expectArrayFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`
      Overrides:
        `expectArrayFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

    - #### expectStringFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor expectStringFormat(com.fasterxml.jackson.databind.JavaType type)

      Specified by:
        `expectStringFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`
      Overrides:
        `expectStringFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

    - #### expectNumberFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor expectNumberFormat(com.fasterxml.jackson.databind.JavaType type)

      Specified by:
        `expectNumberFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`
      Overrides:
        `expectNumberFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

    - #### expectIntegerFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonIntegerFormatVisitor expectIntegerFormat(com.fasterxml.jackson.databind.JavaType type)

      Specified by:
        `expectIntegerFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`
      Overrides:
        `expectIntegerFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

    - #### expectBooleanFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonBooleanFormatVisitor expectBooleanFormat(com.fasterxml.jackson.databind.JavaType convertedType)

      Specified by:
        `expectBooleanFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`
      Overrides:
        `expectBooleanFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

    - #### expectNullFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNullFormatVisitor expectNullFormat(com.fasterxml.jackson.databind.JavaType convertedType)

      Specified by:
        `expectNullFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`
      Overrides:
        `expectNullFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

    - #### expectAnyFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonAnyFormatVisitor expectAnyFormat(com.fasterxml.jackson.databind.JavaType convertedType)

      Specified by:
        `expectAnyFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`
      Overrides:
        `expectAnyFormat` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

    - #### _throwUnsupported

          protected <T> T _throwUnsupported()

    - #### _throwUnsupported

          protected <T> T _throwUnsupported(String msg)

Copyright © 2019 FasterXML. All rights reserved.